summaryrefslogtreecommitdiffstats
path: root/kexi/examples/update_sql_files.sh
diff options
context:
space:
mode:
Diffstat (limited to 'kexi/examples/update_sql_files.sh')
-rwxr-xr-xkexi/examples/update_sql_files.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/kexi/examples/update_sql_files.sh b/kexi/examples/update_sql_files.sh
new file mode 100755
index 00000000..e7cfe98b
--- /dev/null
+++ b/kexi/examples/update_sql_files.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+# Updates .sql files using .kexi files
+# Only .sql file that is older than .kexi file is recreated.
+# ksqlite is needed on the PATH
+
+KEXISQL3PATH=../3rdparty/kexisql3/src/.libs/
+PATH=$PATH:$KEXISQL3PATH
+LD_LIBRARY_PATH=$KEXISQL3PATH:$KEXISQL3PATH
+which ksqlite > /dev/null || exit 1
+
+for f in `ls -1 *.kexi` ; do
+ if test -f $f.sql -a ! $f.sql -ot $f ; then
+ echo "Local $f.sql is newer than $f - skipping it"
+ continue
+ fi
+ echo -n "Creating $f.sql ... "
+ echo "vacuum;" | ksqlite $f
+ echo .dump | ksqlite $f > $f.sql || exit 1
+ echo "OK"
+done